Google:No More Support

google web browser

Google announced it would stop supporting old browser because of the recent bug attack from Internet Explorer 6. On its post in Google Docs Blog, from March 1,2010 , products like Google Docs, Google sites, Google Application will not be working in old browsers. HTML 5, advanced Java script , etc are not supported in old web Browsers. It’s better to change us according to the current Technology Revolution :D .
So please update to enjoy surfing and working with Google .. Here is the list of supported browsers
There are many choices:

Microsoft Internet Explorer 7.0+
Mozilla Firefox 3.0+
Google Chrome 4.0+
Safari 3.0+

Users who use Google Application will have received a mail from Google about this issue.

Application

Also read...

Leave a Reply